# $EPIC: insertw,v 1.5 2001/07/16 20:52:40 jnelson Exp $
Synopsis:
   $insertw(<index> <word> <word list>)

Technical:
   * If the <index> argument is omitted the empty string is returned.
   * If the <index> argument is less than 1, then the return value is 
     the rest of the argument list as it is passed. (<word> <word list>)
   * Otherwise, the return value is a copy of <word list> that has had 
     <word> inserted as the <index>th word, counting from zero.
   * No words in <word list> are removed.
   * Historically <word list> does not support double-quoted words.
     This may change in the future.  Try using /xdebug extractw.

Practical:
   Use this function when you need to insert a word into a word list and 
   you have a specific place in mind for it.  If you use an index of 0, 
   then it will return the arguments just as you passed them, with any
   spaces between <word> and <word list> included.  This is similar to the
   $unshift() function.

Returns:
   <word list> with <word> inserted as the <index>th word.

Examples:
   $insertw(1 blah hi there bob)       returns "hi blah there bob"

History:
   This function first appeared in "plus-2" (post-ircII, pre-EPIC)

See Also:
   remw(6); unshift(6)

